PDA

View Full Version : Heartbleed not an issue for Thecus users



Thecus - Lucas
04-30-2014, 06:25 PM
Thecus announced that its entire product line has been confirmed safe from the OpenSSL Heartbleed bug.

http://www.thecus.com/media_news_page.php?NEWS_ID=14819#

Rest Easy!